## arpon 1.90

=== Makefile ===
SOURCE = arpon.c
EXEC = arpon
MAN = man8/arpon.8

CFLAGS += -g -Wall -Werror
LDFLAGS +=

LIBS_OSX = -lpthread -lpcap -ldnet -lnet -L/opt/local/lib/ -I/opt/local/include/
LIBS_FREEBSD = -lpthread -lpcap -ldnet -lnet -L/usr/local/lib -I/usr/local/include -L/usr/local/lib/libnet11 -I/usr/local/include/libnet11 
LIBS_NETBSD = -lpthread -lpcap -ldnet -lnet -L/usr/local/lib -I/usr/local/include -L/usr/lib/libnet11 -I/usr/include/libnet11
LIBS_OPENBSD = -lpthread -lpcap -ldnet -lnet -L/usr/local/lib -I/usr/local/include
LIBS_LINUX = -lpthread -lpcap -ldnet -lnet -L/usr/local/lib -I/usr/local/include
LIBS_DEBIAN = -lpthread -lpcap -ldumbnet -lnet -L/usr/lib -I/usr/include
LIBS_GENTOO = -lpthread -lpcap -ldnet -lnet -L/usr/lib -I/usr/include

arpon:
	@echo ""
	@echo "  Portings avaible:" 
	@echo "  ================="
	@echo "  - MAC OS X       run:  make osx"
	@echo "  - FreeBSD        run:  make freebsd"
	@echo "  - NetBSD         run:  make netbsd"
	@echo "  - OpenBSD        run:  make openbsd" 
	@echo "  - Linux          run:  make linux"
	@echo "  - Linux Debian   run:  make debian"	
	@echo "  - Linux Gentoo   run:  make gentoo"
	@echo ""
	@echo "If you have problems, read INSTALL file."	
	@echo ""

osx: $(SOURCE)
	gcc $(CFLAGS) $(LDFLAGS) $(LIBS_OSX) -o $(EXEC) $(SOURCE)

freebsd: $(SOURCE)
	gcc $(CFLAGS) $(LDFLAGS) $(LIBS_FREEBSD) -o $(EXEC) $(SOURCE)

netbsd: $(SOURCE)
	gcc $(CFLAGS) $(LDFLAGS) $(LIBS_NETBSD) -DNETBSD -o $(EXEC) $(SOURCE)

openbsd: $(SOURCE)
	gcc $(CFLAGS) $(LDFLAGS) $(LIBS_OPENBSD) -DOPENBSD -o $(EXEC) $(SOURCE)

linux: $(SOURCE)
	gcc $(CFLAGS) $(LDFLAGS) $(LIBS_LINUX) -DLINUX -o $(EXEC) $(SOURCE)

debian: $(SOURCE)
	gcc $(CFLAGS) $(LDFLAGS) $(LIBS_DEBIAN) -DLINUX -DDEBIAN -o $(EXEC) $(SOURCE)

gentoo: $(SOURCE)
	gcc $(CFLAGS) $(LDFLAGS) $(LIBS_GENTOO) -DLINUX -o $(EXEC) $(SOURCE)

clean:
	rm -f $(EXEC)

install:
	install $(EXEC) $(DESTDIR)/sbin
	install $(MAN) $(DESTDIR)/usr/share/man/man8/

uninstall:
	rm -f $(DESTDIR)/sbin/$(EXEC)
	rm -f $(DESTDIR)/usr/share/man/$(MAN)

.PHONY: arpon osx freebsd netbsd openbsd linux debian gentoo clean install uninstall
