=== etc/CMakeLists.txt ===
# Install arpon.sarpi
#
# Copyright 2010 <Giuseppe Marco Randazzo> zeld@freaknet.org
#
# Redistribution AND use is allowed according to the terms of the New
# BSD license.

set(arpon_etc_src "${CMAKE_SOURCE_DIR}/etc/arpon.sarpi")

install(FILES ${arpon_etc_src}
  DESTINATION "/etc/"
  PERMISSIONS OWNER_READ GROUP_READ WORLD_READ
  COMPONENT Etcfile)
