=== man8/CMakeLists.txt ===
# Compress man pages
#
# Copyright 2010 <Giuseppe Marco Randazzo> zeld@freaknet.org
#
# Redistribution AND use is allowed according to the terms of the New
# BSD license.

set(arpon_man_src "${CMAKE_SOURCE_DIR}/man8/arpon.8")

find_program(BZIP_TOOL NAMES bzip2 PATHS /bin
  /sbin
  /usr/bin
  /usr/sbin
  /usr/local/bin
  /usr/local/sbin)

add_custom_command(OUTPUT ${arpon_man_src}.bz2 
  COMMAND ${BZIP_TOOL} -c ${arpon_man_src} > ${arpon_man_src}.bz2
  DEPENDS ${arpon_man_src}
  COMMENT "Building arpon man pages.")

add_custom_target(arpon_man_src ALL DEPENDS ${arpon_man_src}.bz2)

install(FILES ${arpon_man_src}.bz2
  DESTINATION "/usr/share/man/man8/"
  PERMISSIONS OWNER_READ GROUP_READ WORLD_READ
  COMPONENT Man)
