=== src/CMakeLists.txt ===
# Compile the arpon.c source code
#
# Copyright 2010 <Giuseppe Marco Randazzo> zeld@freaknet.org
#
# Redistribution AND use is allowed according to the terms of the New
# BSD license.


add_executable(arpon arpon.c include/queue.h)

if(UBUNTU OR DEBIAN)
  target_link_libraries(arpon net dumbnet pcap pthread)
else()
  target_link_libraries(arpon net dnet pcap pthread)
endif( UBUNTU OR DEBIAN )

install(TARGETS arpon RUNTIME DESTINATION sbin COMPONENT Application)
