=== debian/changelog ===
arpon (2.0-2.1ubuntu1) trusty; urgency=low

  * Handle multiarch libnet1-dev, too, resolving FTBFS.
    (Closes: #718148) (LP: #1229530)

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 14 Jan 2014 14:43:14 -0500

arpon (2.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: Libpthread not found!": add patch from Ubuntu / Steve
    Langasek, Andreas Moog, Daniel T Chen:
    - debian/patches/fix_multiarch.patch: multiarch libpcap
      (LP: #747889, #831092)
    (Closes: #634578, #620459)

 -- gregor herrmann <gregoa@debian.org>  Fri, 04 Nov 2011 00:25:54 +0100

arpon (2.0-2) unstable; urgency=low

  * [9ce1735] Fix the default configuration /etc/default/arpon
    (Closes: #592310) - thanks to Luca Bruno
  * [96a4ebf] Uncomment examples in /etc/arpon.sarpi

 -- Giuseppe Iuculano <iuculano@debian.org>  Thu, 19 Aug 2010 19:18:09 +0200

arpon (2.0-1) unstable; urgency=low

  * [26180e8] Switch to quilt
  * [3d1be31] Imported Upstream version 2.0
  * [49351eb] Switch to dpkg-source 3.0 (quilt) format
  * [aeb7386] Bump to debhelper 7 compatibility
  * [e3882e9] added cmake, lsb-release in Build-Depends
  * [b598014] Use new cmake build system
  * [6a7cc92] Use dh_prep
  * [670ccab] updated copyright file
  * [fba9537] Install binary in usr/sbin
  * [f197a87] debian/init.d: Added $remote_fs in Required-Start and
    Required-Stop
  * [bcd8d8c] updated copyright file
  * [6bc5b28] Bump to standard-version 3.9.1, no changes needed
  * [e14a181] Updated my email address

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 04 Aug 2010 13:29:45 +0200

arpon (1.90-1) unstable; urgency=low

  * New upstream release
  * debian/rules: use new make debian target
  * debian/docs: Added AUTHORS
  * Added debian/patches/02_fix_hypen.dpatch to fix hyphen-used-as-minus-sign

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 17 Oct 2008 20:01:06 +0200

arpon (1.50-1) unstable; urgency=low

  * Initial release (Closes: #492922)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 19 Aug 2008 14:11:26 +0200
