=== debian/control ===
Source: arpon
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Build-Depends: debhelper (>= 7), libnet1-dev, libpcap-dev, libdumbnet-dev, cmake, lsb-release
Standards-Version: 3.9.1
Homepage: http://arpon.sourceforge.net

Package: arpon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: versatile anti ARP poisoning daemon
 ArpON (Arp handler inspectiON) is a portable handler daemon with some nice
 tools to handle all ARP aspects.
 It makes Arp a bit safer. This is possible using two kinds of anti Arp
 Poisoning techniques, the first is based on SARPI or "Static Arp Inspection",
 the second on DARPI or "Dynamic Arp Inspection" approach.
 .
 Features of ArpON include:
   * Detects and blocks ARP Poisoning/Spoofing attacks in statically
     configured networks (SARPI)
   * Detects and blocks ARP Poisoning/Spoofing attacks in dynamically
     configured (DHCP) networks (DARPI)
   * Detects and blocks unidirectional and bidirectional ARP attacks
   * Easily configurable via command line switches
   * Works in userspace
   * Can be a passive sniffer and capture all inbound/outbound ARP packets
