=== etc/CMakeLists.txt ===
# Install arpon.sarpi
#
# Copyright 2014 <Giuseppe Marco Randazzo> gmrandazzo@gmail.com
#
# Redistribution AND use is allowed according to the terms of the New
# BSD license.

set(arpon_etc_src "${CMAKE_SOURCE_DIR}/etc/arpon.sarpi")

if(${CMAKE_INSTALL_PREFIX} STREQUAL "/")
  install(FILES ${arpon_etc_src}
    DESTINATION /etc
    PERMISSIONS OWNER_READ GROUP_READ WORLD_READ
    COMPONENT Etcfile)
else(${CMAKE_INSTALL_PREFIX} STREQUAL "/")
  install(FILES ${arpon_etc_src}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/etc
    PERMISSIONS OWNER_READ GROUP_READ WORLD_READ
    COMPONENT Etcfile)
endif(${CMAKE_INSTALL_PREFIX} STREQUAL "/")
