=== debian/changelog ===
arpon (2.7.2-1) unstable; urgency=low

  * [863b18a] Imported Upstream version 2.7.2
  * [8cbe615] Switch to debhelper compat 9
  * [9572355] Switch to Standards-Version 3.9.6, no changes needed
  * [d2a2530] Authors file was renamed to AUTHOR, renamed it in debian/docs
  * [4b478b9] Updated patches and correct /etc/arpon.sarpi install path
  * [f4a52c7] Rewrote debian/rules

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 08 Feb 2015 13:21:12 +0100
