=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: arpon
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Giuseppe Iuculano <iuculano@debian.org>
-Build-Depends: debhelper (>= 7), libnet1-dev, libpcap-dev, libdumbnet-dev, cmake, lsb-release
-Standards-Version: 3.9.1
+Maintainer: Giuseppe Iuculano <iuculano@debian.org>
+Build-Depends: debhelper (>= 9), libnet1-dev, libpcap-dev, libdumbnet-dev, cmake, lsb-release
+Standards-Version: 3.9.6
 Homepage: http://arpon.sourceforge.net
 
 Package: arpon
