=== debian/watch ===
version=3

http://sf.net/arpon/ArpON-(.*)\.tar\.gz
